[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] p2 installer ?


You've got the wrong download. Here is a link:

http://download.eclipse.org/equinox/drops/S-3.5RC2-200905221710/download.php?dropFile=equinox.p2.installer-3.5RC2-linux.gtk.x86.tar.gz




Marc Weber <marco-oweber@xxxxxx>
Sent by: p2-dev-bounces@xxxxxxxxxxx

05/23/2009 01:04 PM

Please respond to
P2 developer discussions <p2-dev@xxxxxxxxxxx>

To
p2-dev@xxxxxxxxxxx
cc
Subject
[p2-dev] p2 installer ?





I'd like to setup a shared install:

http://wiki.eclipse.org/Equinox_p2_Installer
says:
> "Get the installer for your platform from the equinox download page"
 done (launchers-linux.gtk.x86.3.5RC1.tar.gz)

> Unzip the installer anywhere on your local disk, eg., /opt/eclipse
? Here I have some trouble. The installer is a .tar.gz and contains

> Run the p2 installer executable, eg., /opt/eclipse/p2installer

mawercer:/tmp/eclipse# ls -1
binary
features
plugins

There is no p2installer.. ?
unzip ? there is a binary/org.eclipse.equinox.executable_root.gtk.linux.x86_3.3.200.v20090507-7M-Fm-FI3UouOdgtbIvrva
path containing a .zip. Is this the one to unzip?
When doing so there is a ./launcher.
When running that I get message box telling me:
"The Launcher executable launcher was unable to locate its companion shared library"'

So what's wrong? Is the wiki out of date? Have I got the wrong installer?

Thanks
Marc Weber
_______________________________________________
p2-dev mailing list
p2-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/p2-dev